Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.server.wadl.generators
Class WadlGeneratorApplicationDoc

    java.lang.Object
      com.sun.jersey.server.wadl.generators.WadlGeneratorApplicationDoc

All Implemented Interfaces:
  WadlGenerator

    public class WadlGeneratorApplicationDoc

extends java.lang.Object
implements WadlGenerator

This `WadlGenerator` adds all doc elements provided by `ApplicationDocs.getDocs()` to the generated wadl-file.
Created on: Jun 16, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Constructor Summary
`WadlGeneratorApplicationDoc()`
`WadlGeneratorApplicationDoc(WadlGenerator wadlGenerator, ApplicationDocs applicationDocs)`

Method Summary
`com.sun.research.ws.wadl.Application` | `createApplication()`
`com.sun.research.ws.wadl.Method` | `createMethod(AbstractResource r, AbstractResourceMethod m)`
`com.sun.research.ws.wadl.Param` | `createParam(AbstractResource r, AbstractMethod m, Parameter p)`
`com.sun.research.ws.wadl.Request` | `createRequest(AbstractResource r, AbstractResourceMethod m)`
`com.sun.research.ws.wadl.RepresentationType` | `createRequestRepresentation(AbstractResource r, AbstractResourceMethod m, javax.ws.rs.core.MediaType mediaType)`
`com.sun.research.ws.wadl.Resource` | `createResource(AbstractResource r, java.lang.String path)`
`com.sun.research.ws.wadl.Resources` | `createResources()`
`com.sun.research.ws.wadl.Response` | `createResponse(AbstractResource r, AbstractResourceMethod m)`
`java.lang.String` | `getRequiredJaxbContextPath()` The jaxb context path that is used when the generated wadl application is marshalled to a file. This method is used in a decorator like manner. The result return the path (or a colon-separated list of package names) containing jaxb-beans that are added to wadl elements by this WadlGenerator, additionally to the context path of the decorated WadlGenerator (set by `WadlGenerator.setWadlGeneratorDelegate(WadlGenerator)`. If you do not use custom jaxb beans, then simply return `_delegate.getRequiredJaxbContextPath()`, otherwise return the delegate's `WadlGenerator.getRequiredJaxbContextPath()` together with your required context path (separated by a colon):
`void` | `init()` Invoked before all methods related to wadl-building are invoked.
`void` | `setApplicationDocsFile(java.io.File applicationDocsFile)`
`void` | `setWadlGeneratorDelegate(WadlGenerator delegate)` Sets the delegate that is decorated by this wadl generator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WadlGeneratorApplicationDoc

    public WadlGeneratorApplicationDoc()

### WadlGeneratorApplicationDoc

    public WadlGeneratorApplicationDoc(WadlGenerator wadlGenerator,
                                       ApplicationDocs applicationDocs)

Method Detail

### setWadlGeneratorDelegate

    public void setWadlGeneratorDelegate(WadlGenerator delegate)

  Description copied from interface: `WadlGenerator`
  Sets the delegate that is decorated by this wadl generator. Is invoked directly after this generator is instantiated before `WadlGenerator.init()` or any setter method is invoked.

  Specified by:
    `setWadlGeneratorDelegate` in interface `WadlGenerator`
  Parameters:
    `delegate` - the wadl generator to decorate

### getRequiredJaxbContextPath

    public java.lang.String getRequiredJaxbContextPath()

  Description copied from interface: `WadlGenerator`
  The jaxb context path that is used when the generated wadl application is marshalled to a file.
  This method is used in a decorator like manner.
  The result return the path (or a colon-separated list of package names) containing jaxb-beans that are added to wadl elements by this WadlGenerator, additionally to the context path of the decorated WadlGenerator (set by `WadlGenerator.setWadlGeneratorDelegate(WadlGenerator)`.
  If you do not use custom jaxb beans, then simply return `_delegate.getRequiredJaxbContextPath()`, otherwise return the delegate's `WadlGenerator.getRequiredJaxbContextPath()` together with your required context path (separated by a colon):

      _delegate.getRequiredJaxbContextPath() == null
                  ? ${yourContextPath}
                  : _delegate.getRequiredJaxbContextPath() + ":" + ${yourContextPath};

  If you add the path for your custom jaxb beans, don't forget to add an ObjectFactory (annotated with `XmlRegistry`) to this package.

  Specified by:
    `getRequiredJaxbContextPath` in interface `WadlGenerator`
  Returns:
    simply the `WadlGenerator.getRequiredJaxbContextPath()` of the delegate or the `WadlGenerator.getRequiredJaxbContextPath()` + ":" + ${yourContextPath}.

### setApplicationDocsFile

    public void setApplicationDocsFile(java.io.File applicationDocsFile)

### init

    public void init()
              throws java.lang.Exception

  Description copied from interface: `WadlGenerator`
  Invoked before all methods related to wadl-building are invoked. This method is used in a decorator like manner, and therefore has to invoke `this.delegate.init()`.

  Specified by:
    `init` in interface `WadlGenerator`
  Throws:
    `java.lang.Exception`

### createApplication

    public com.sun.research.ws.wadl.Application createApplication()

  Specified by:
    `createApplication` in interface `WadlGenerator`
  Returns:
    the application
  See Also:
    `com.sun.jersey.server.impl.wadl.WadlGenerator#createApplication()`

### createMethod

    public com.sun.research.ws.wadl.Method createMethod(AbstractResource r,
                                                        AbstractResourceMethod m)

  Specified by:
    `createMethod` in interface `WadlGenerator`
  Parameters:
    `r` -
    `m` -
  Returns:
    the method
  See Also:
    `com.sun.jersey.server.impl.wadl.WadlGenerator#createMethod(com.sun.jersey.api.model.AbstractResource, com.sun.jersey.api.model.AbstractResourceMethod)`

### createRequestRepresentation

    public com.sun.research.ws.wadl.RepresentationType createRequestRepresentation(AbstractResource r,
                                                                                   AbstractResourceMethod m,
                                                                                   javax.ws.rs.core.MediaType mediaType)

  Specified by:
    `createRequestRepresentation` in interface `WadlGenerator`
  Parameters:
    `r` -
    `m` -
    `mediaType` -
  Returns:
  See Also:
    `com.sun.jersey.server.impl.wadl.WadlGenerator#createRequestRepresentation(com.sun.jersey.api.model.AbstractResource, com.sun.jersey.api.model.AbstractResourceMethod, javax.ws.rs.core.MediaType)`

### createRequest

    public com.sun.research.ws.wadl.Request createRequest(AbstractResource r,
                                                          AbstractResourceMethod m)

  Specified by:
    `createRequest` in interface `WadlGenerator`
  Parameters:
    `r` -
    `m` -
  Returns:
  See Also:
    `com.sun.jersey.server.impl.wadl.WadlGenerator#createRequest(com.sun.jersey.api.model.AbstractResource, com.sun.jersey.api.model.AbstractResourceMethod)`

### createParam

    public com.sun.research.ws.wadl.Param createParam(AbstractResource r,
                                                      AbstractMethod m,
                                                      Parameter p)

  Specified by:
    `createParam` in interface `WadlGenerator`
  Parameters:
    `r` -
    `m` -
    `p` -
  Returns:
  See Also:
    `com.sun.jersey.server.impl.wadl.WadlGenerator#createParam(com.sun.jersey.api.model.AbstractResource, com.sun.jersey.api.model.AbstractMethod, com.sun.jersey.api.model.Parameter)`

### createResource

    public com.sun.research.ws.wadl.Resource createResource(AbstractResource r,
                                                            java.lang.String path)

  Specified by:
    `createResource` in interface `WadlGenerator`
  Parameters:
    `r` -
    `path` -
  Returns:
  See Also:
    `com.sun.jersey.server.impl.wadl.WadlGenerator#createResource(com.sun.jersey.api.model.AbstractResource, java.lang.String)`

### createResponse

    public com.sun.research.ws.wadl.Response createResponse(AbstractResource r,
                                                            AbstractResourceMethod m)

  Specified by:
    `createResponse` in interface `WadlGenerator`
  Parameters:
    `r` -
    `m` -
  Returns:
  See Also:
    `com.sun.jersey.server.impl.wadl.WadlGenerator#createResponse(com.sun.jersey.api.model.AbstractResource, com.sun.jersey.api.model.AbstractResourceMethod)`

### createResources

    public com.sun.research.ws.wadl.Resources createResources()

  Specified by:
    `createResources` in interface `WadlGenerator`
  Returns:
  See Also:
    `com.sun.jersey.server.impl.wadl.WadlGenerator#createResources()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.